%define fftw_version 2.1.3
Summary: A GNOME sound displayer.
Name: extace
Version: 1.2.25
Release: 2
Copyright: GPL
Group: Applications/Multimedia
Source: http://download.sourceforge.net/eXtace/extace-%{version}.tar.gz
Source1: http://www.fftw.org/fftw-%{fftw_version}.tar.gz
Patch: extace-1.2.25-libfftw.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://extace.sourceforge.net/

# Someone needs 
%description
eXtace is a audio visualization plugin for the GNOME GUI desktop
environment. It connects to EsounD (the Enlightened Sound Daemon) and
displays the audio data as either a 3D textured landscape, a 3D
pointed landscape, a 16-128 channel graphic EQ, or a colored
Oscilloscope.

%prep
%setup -q -a 1
%patch -p1 -b .libfftw
autoheader
autoconf

%build
rm -rf $RPM_BUILD_ROOT

# Build FFTW first.
%ifarch %{ix86}
HACKFLAGS="--enable-i386-hacks"
%endif

CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
CPPFLAGS="-I$RPM_BUILD_ROOT%{_includedir}"; export CPPFLAGS
LDFLAGS="-L$RPM_BUILD_ROOT%{_libdir}"; export LDFLAGS

pushd fftw-%{fftw_version}
%configure ${HACKFLAGS} \
	--enable-shared=no --enable-static=yes \
	--enable-debug=no --enable-debug-alignment=no
%{makeinstall}
popd

# Build Extace itself
%configure
make

%install
# Now wipe out fftw, because we don't want to install it.
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/extace
%{_datadir}/gnome/apps/Multimedia/extace.desktop

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 1.2.25

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 1.2.23
- Update fftw library to 2.1.3
- Remove specific config.guess
- Use %%makeinstall
- Don't strip binaries

* Tue Jan 04 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.2.15

* Fri Sep 03 1999 Elliot Lee <sopwith@redhat.com>
- Create extace package
- Include FFTW in here instead of using gsl (FFTW is faster).
